Package org.jfree.report.modules.misc.tablemodel

# Class CSVTableModel

java.lang.Object
javax.swing.table.AbstractTableModel
org.jfree.report.modules.misc.tablemodel.CSVTableModel

All Implemented Interfaces:
  `Serializable`, `TableModel`

public class CSVTableModel extends AbstractTableModel
`TableModel` used by the `CSVTableModelProducer` class. It has a feature which generates the column name if it is not know.

Author:
  Mimil
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.swing.table.AbstractTableModel

`listenerList`

## Constructor Summary

Constructors
Constructor
Description
`CSVTableModel()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnCount()`
Counts columns of this `TableModel`.
`String`
`getColumnName(int column)`
Return the column name at a specified position.
`String[]`
`getColumnNames()`
`Object[][]`
`getData()`
`int`
`getMaxColumnCount()`
`int`
`getRowCount()`
Counts rows of this `TableModel`.
`Object`
`getValueAt(int rowIndex, int columnIndex)`
Gets the Object at specified row and column positions.
`void`
`setColumnNames(String[] columnNames)`
`void`
`setData(Object[][] data)`
`void`
`setMaxColumnCount(int maxColumnCount)`
Sets the maximum column count if it is bigger than the current one.

### Methods inherited from class javax.swing.table.AbstractTableModel

`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CSVTableModel

public CSVTableModel()

## Method Details

### getData

public Object[][] getData()

### setData

public void setData(Object[][] data)

### getColumnNames

public String[] getColumnNames()

### setColumnNames

public void setColumnNames(String[] columnNames)

### getColumnCount

public int getColumnCount()
Counts columns of this `TableModel`.

Returns:
  the column count

### getRowCount

public int getRowCount()
Counts rows of this `TableModel`.

Returns:
  the row count

### getValueAt

public Object getValueAt(int rowIndex, int columnIndex)
Gets the Object at specified row and column positions.

Parameters:
  `rowIndex` - row index
  `columnIndex` - column index
Returns:
  The requested Object

### setMaxColumnCount

public void setMaxColumnCount(int maxColumnCount)
Sets the maximum column count if it is bigger than the current one.

Parameters:
  `maxColumnCount` -

### getMaxColumnCount

public int getMaxColumnCount()

### getColumnName

public String getColumnName(int column)
Return the column name at a specified position.

Specified by:
  `getColumnName` in interface `TableModel`
Overrides:
  `getColumnName` in class `AbstractTableModel`
Parameters:
  `column` - column index
Returns:
  the column name